> ## Documentation Index
> Fetch the complete documentation index at: https://cinch-api.crex.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> API endpoints

<Note>
  The API is a work-in-progress at the moment. We will try not to make any breaking changes if possible. Please do
  notify us when you start building on the API so that we can inform you when we introduce breaking changes (this is a
  last resort).
</Note>

## Authentication

All requests have to be authenticated with an API Key. Please refer to our [Authentication](/authentication) for more information.

```bash Example request with API key theme={null}
curl -G https://api.gocrex.com/api/device-model-emissions
  -H "X-API-Key: {api-token}"
```

## Tutorials

You can refer to our tutorials to understand the concepts and the end to end process in using our API for calculating carbon emissions.

<CardGroup cols={2}>
  <Card title="Calculate order emission" icon="fire-smoke" href="/tutorials/order-emissions">
    Calculate order emission
  </Card>

  <Card title="Retrieve product emission" icon="building-columns" href="/tutorials/product-emissions">
    Retrieve product emission
  </Card>
</CardGroup>
